> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List pools

GET https://notary-d.docusign.net/restapi/v1.0/organizations/{organizationId}/pools

Gets the set of pools associated with the current account.

[Required authentication scopes](/platform/auth/reference/scopes/): `notary_read`, `organization_read`.

Reference: https://developers.docusign.com/docs/notary-api/reference/organizations/pool/getpools

## Authentication

- `Authorization` header (bearer token, required) — JWT Bearer token from DocuSign authorization server

## Servers

- `https://notary-d.docusign.net/restapi` (Demo, default)
- `https://na-notary.docusign.net/restapi` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization's GUID.

### Query parameters

- `startPosition` (integer, optional, default: 0) — The position within the total result set from which to start returning values. Default: 0.
- `count` (integer, optional, default: 100) — The maximum number of results to return. Default: 100.
- `search` (string, optional) — Free text search criteria to filter the pools returned by pool name.

## Response

### 200

Successful response

- `resultSetSize` (integer, optional) — The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the value of `totalSetSize`.
- `startPosition` (integer, optional) — The position within the total result set from which to start returning values. Default: 0.
- `endPosition` (integer, optional) — The last index position in the result set.
- `nextUri` (string, optional, nullable) — The URI for the next chunk of records based on the search request. It is `null` if this is the last set of results for the search.
- `priorUri` (string, optional, nullable) — The URI for the prior chunk of records based on the search request. It is `null` if this is the first set of results for the search.
- `totalSetSize` (integer, optional) — The total number of items in the result set. This value is always greater than or equal to the value of `resultSetSize`.
- `pools` (list of PoolSummary, optional, nullable) — An array of pool summaries.

## Errors

### 400 Bad Request Error

Bad request.

- `error` (string, optional, nullable) — The code associated with the error condition.
- `errorDescription` (string, optional, nullable) — A description of the error condition.

### 401 Unauthorized Error

Authorization information is missing or invalid.

- `error` (string, optional, nullable) — The code associated with the error condition.
- `errorDescription` (string, optional, nullable) — A description of the error condition.

### 403 Forbidden Error

The connecting user is not permitted to access this endpoint.

- `error` (string, optional, nullable) — The code associated with the error condition.
- `errorDescription` (string, optional, nullable) — A description of the error condition.

## Types

### PoolSummary

Description of a notary pool.

- `poolId` (string, optional) — Id of the notary pool
- `name` (string, optional, nullable) — The human-readable name of the notary pool.
- `organizationId` (string, optional, nullable) — The ID of the organization that this pool belongs to.

## Examples

**Response**

```json
{
  "resultSetSize": 1,
  "startPosition": 1,
  "endPosition": 1,
  "nextUri": "string",
  "priorUri": "string",
  "totalSetSize": 1,
  "pools": [
    {
      "poolId": "string",
      "name": "string",
      "organizationId": "string"
    }
  ]
}
```